/**************************************************************************

FILE NAME:      func.h

DESCRIPTION:    Declarations for the various support functions for the 
                2-DOF bartending robot.

---------------------------------------------------------------------------

AUTHOR:         Leo Stocco

COPYRIGHT:      (C) COPYRIGHT The University of British Columbia, 2006
                All Rights Reserved.

***************************************************************************/

// Definitions
#define  WASTED_TIME   1000        // Bigger value = slower robot motion


/***************************************************************************
Function:      proxSense
Parameters:    none
Return Value:  none
Description:   Reads the proximity sensor and keeps looping if the reading
               is above the threshold value.
****************************************************************************/
void proxSense(void);


/***************************************************************************
Function:      scanRobot
Parameters:    none
Return Value:  none
Description:   Applies a triangle wave to both the Yaw and Pitch axes.
****************************************************************************/
void scanRobot(void);
