/**************************************************************************

FILE NAME:      robot.c

DESCRIPTION:    Real-time program for the 8051 micro-controller which 
                controls the 2-DOF Robotic Bartender.

---------------------------------------------------------------------------

AUTHOR:         Leo Stocco

COPYRIGHT:      (C) COPYRIGHT The University of British Columbia, 2006
                All Rights Reserved.

***************************************************************************/

// Include Files
#include "util.h"           // Utility function definitions
#include "robot.h"          // Robot defines
#include "func.h"           // Support function definitions

// External code which must not be linked in
#include "isr.c"            // Interrupt Service Routine - PWM


/***************************************************************************
Function:      main
Parameters:    none
Return Value:  none
Description:   Mainline for the robot bartender application
****************************************************************************/

void main(void) {
  
  // Initialize the ISR to trigger every 20 usec
  SetupISR1(ISR_TIX);

  while (FOREVER) {

    // Move the robot
    scanRobot();

    // Read the proximity sensor
    proxSense();

  } // while
} // main()
