/**************************************************************************

FILE NAME:      robot.h

DESCRIPTION:    Definitions for the Robot code

---------------------------------------------------------------------------

AUTHOR:         Leo Stocco

COPYRIGHT:      (C) COPYRIGHT The University of British Columbia, 2006
                All Rights Reserved.

***************************************************************************/

// General Defines
#define  ON            1 
#define  OFF           0 
#define  FOREVER       1

// ISR Values
#define  ISR_TIX       36          // Each ISR Tick is 545 nsec
                                   // 36 ticks = 20 usec

// Digital Output Ports
#define  SERVO_Y       P1_0        // Yaw Servo
#define  SERVO_P       P1_1        // Pitch Servo

// Analog I/P Channels
#define  PROX          0           // Proximity Sensor

// Threshold values
#define  MINVAL_Y      40          // Yaw servo
#define  MAXVAL_Y      120         // Yaw servo
#define  RANGE_Y       (MAXVAL_Y - MINVAL_Y)

#define  MINVAL_P      30          // Pitch servo
#define  MAXVAL_P      80          // Pitch servo
#define  RANGE_P       (MAXVAL_P - MINVAL_P)

#define  PROX_THRESH   1000        // Proximity Sensor

// Global variables used to set the motor angles
extern unsigned char   gYaw;       // Yaw Servo
extern unsigned char   gPitch;     // Pitch Servo
